# Makefile for core library for VMS
# contributed by Jouk Jansen  joukj@hrem.stm.tudelft.nl
# Last revision : 17 November 2000

.first
	define gl [-.include.gl]

.include [-]mms-config.

##### MACROS #####

VPATH = RCS

INCDIR = [-.include]
LIBDIR = [-.lib]
CFLAGS = /include=($(INCDIR),[])/define=(PTHREADS=1)/name=(as_is,short)

CORE_SOURCES =accum.c \
	alpha.c \
	api_loopback.c \
	api_noop.c \
	attrib.c \
	bitmap.c \
	blend.c \
	buffers.c \
	clip.c \
	colortab.c \
	config.c \
	context.c \
	convolve.c \
	copypix.c \
	debug.c \
	depth.c \
	dispatch.c \
	dlist.c \
	drawpix.c \
	enable.c \
	enums.c \
	eval.c \
	extensions.c \
	feedback.c \
	fog.c \
	get.c \
	glapi.c \
	glapinoop.c \
	glthread.c \
	hash.c \
	highpc.c \
	hint.c \
	histogram.c \
	image.c \
	imports.c \
	light.c \
	lines.c \
	logic.c \
	lowpc.c \
	masking.c \
	matrix.c \
	mem.c \
	mmath.c \
	pixel.c \
	pixeltex.c \
	points.c \
	polygon.c \
	rastpos.c \
	readpix.c \
	scissor.c \
	state.c \
	stencil.c \
	teximage.c \
	texobj.c \
	texstate.c \
	texture.c \
	texutil.c \
	varray.c \
	vtxfmt.c \
	winpos.c \
	[.x86]x86.c

DRIVER_SOURCES = [.x]glxapi.c [.x]fakeglx.c [.x]xfonts.c \
[.x]xm_api.c [.x]xm_dd.c [.x]xm_line.c [.x]xm_span.c [.x]xm_tri.c \
[.osmesa]osmesa.c \
[.svga]svgamesa.c \
[.fx]fxapi.c [.fx]fxdd.c [.fx]fxddtex.c [.fx]fxvsetup.c [.fx]fxsetup.c \
[.fx]fxtrifuncs.c [.fx]fxfastpath.c [.fx]fxpipeline.c\
[.fx]fxtexman.c [.fx]fxddspan.c\
[.fx]fxglidew.c \
[.fx]fxvtxfmt.c \
[.fx]fxvtxprims.c

RASTER_SOURCES = [.swrast]s_aatriangle.c \
[.swrast]s_aaline.c \
[.swrast]s_accum.c \
[.swrast]s_alpha.c \
[.swrast]s_alphabuf.c \
[.swrast]s_bitmap.c \
[.swrast]s_blend.c \
[.swrast]s_buffers.c \
[.swrast]s_copypix.c \
[.swrast]s_context.c \
[.swrast]s_depth.c \
[.swrast]s_drawpix.c \
[.swrast]s_fog.c \
[.swrast]s_feedback.c \
[.swrast]s_histogram.c \
[.swrast]s_lines.c \
[.swrast]s_logic.c \
[.swrast]s_masking.c \
[.swrast]s_pb.c \
[.swrast]s_pixeltex.c \
[.swrast]s_points.c \
[.swrast]s_quads.c \
[.swrast]s_readpix.c \
[.swrast]s_scissor.c \
[.swrast]s_span.c \
[.swrast]s_stencil.c \
[.swrast]s_texture.c \
[.swrast]s_triangle.c \
[.swrast]s_zoom.c \
[.swrast_setup]ss_context.c \
[.swrast_setup]ss_triangle.c \
[.swrast_setup]ss_vb.c 

ASM_SOURCES =

TNL_SOURCES=[.tnl]t_bbox.c \
[.tnl]t_clip.c \
[.tnl]t_context.c \
[.tnl]t_cva.c \
[.tnl]t_debug.c \
[.tnl]t_dlist.c \
[.tnl]t_eval.c \
[.tnl]t_fog.c \
[.tnl]t_light.c \
[.tnl]t_pipeline.c \
[.tnl]t_shade.c \
[.tnl]t_stages.c \
[.tnl]t_texture.c \
[.tnl]t_trans_elt.c \
[.tnl]t_varray.c \
[.tnl]t_vb.c \
[.tnl]t_vbcull.c \
[.tnl]t_vbindirect.c \
[.tnl]t_vbrender.c \
[.tnl]t_vbxform.c \
[.tnl]t_vtxfmt.c

MATH_SOURCES=[.math]m_debug_xform.c \
[.math]m_matrix.c \
[.math]m_translate.c \
[.math]m_vector.c \
[.math]m_vertices.c \
[.math]m_xform.c  

OBJECTS1=accum.obj,\
alpha.obj,\
api_loopback.obj,\
api_noop.obj,\
attrib.obj,\
bitmap.obj,\
blend.obj,\
buffers.obj,\
clip.obj,\
colortab.obj,\
config.obj,\
context.obj,\
convolve.obj,\
copypix.obj,\
debug.obj,\
depth.obj,\
dispatch.obj,\
dlist.obj,\
drawpix.obj,\
enable.obj,\
enums.obj

OBJECTS2=eval.obj,\
extensions.obj,\
feedback.obj,\
fog.obj,\
get.obj,\
glapi.obj,\
glapinoop.obj,\
glthread.obj,\
hash.obj,\
highpc.obj,\
hint.obj,\
histogram.obj,\
image.obj,\
imports.obj,\
light.obj,\
lines.obj,\
logic.obj,\
lowpc.obj,\
masking.obj,\
matrix.obj,\
mem.obj,\
mmath.obj

OBJECTS3=pixel.obj,\
pixeltex.obj,\
points.obj,\
polygon.obj,\
rastpos.obj,\
readpix.obj,\
scissor.obj,\
state.obj,\
stencil.obj,\
teximage.obj,\
texobj.obj,\
texstate.obj,\
texture.obj,\
texutil.obj,\
varray.obj,\
vtxfmt.obj,\
winpos.obj,\
[.x86]x86.obj

OBJECTS4=[.x]glxapi.obj,[.x]fakeglx.obj,[.x]xfonts.obj,\
[.x]xm_api.obj,[.x]xm_dd.obj,[.x]xm_line.obj,[.x]xm_span.obj,[.x]xm_tri.obj,\
[.osmesa]osmesa.obj,\
[.svga]svgamesa.obj

OBJECTS5=[.fx]fxapi.obj,[.fx]fxdd.obj,[.fx]fxddtex.obj,[.fx]fxvsetup.obj,\
[.fx]fxsetup.obj,[.fx]fxfastpath.obj,[.fx]fxpipeline.obj,[.fx]fxvtxfmt.obj,\
[.fx]fxvtxprims.obj

OBJECTS6=[.fx]fxtrifuncs.obj,[.fx]fxglidew.obj,\
[.fx]fxtexman.obj,[.fx]fxddspan.obj

OBJECTS7=[.swrast]s_aatriangle.obj,\
[.swrast]s_accum.obj,\
[.swrast]s_alpha.obj,\
[.swrast]s_alphabuf.obj,\
[.swrast]s_bitmap.obj,\
[.swrast]s_blend.obj,\
[.swrast]s_buffers.obj,\
[.swrast]s_copypix.obj,\
[.swrast]s_context.obj,\
[.swrast]s_depth.obj

OBJECTS8=[.swrast]s_drawpix.obj,\
[.swrast]s_fog.obj,\
[.swrast]s_histogram.obj,\
[.swrast]s_lines.obj,\
[.swrast]s_logic.obj,\
[.swrast]s_masking.obj,\
[.swrast]s_pb.obj,\
[.swrast]s_pixeltex.obj,\
[.swrast]s_points.obj,\
[.swrast]s_quads.obj

OBJECTS9=[.swrast]s_readpix.obj,\
[.swrast]s_aaline.obj,\
[.swrast]s_scissor.obj,\
[.swrast]s_span.obj,\
[.swrast]s_stencil.obj,\
[.swrast]s_texture.obj,\
[.swrast]s_triangle.obj,\
[.swrast]s_feedback.obj,\
[.swrast]s_zoom.obj

OBJECTS10=[.swrast_setup]ss_context.obj,\
[.swrast_setup]ss_triangle.obj,\
[.swrast_setup]ss_vb.obj 

OBJECTS11=[.tnl]t_bbox.obj,\
[.tnl]t_clip.obj,\
[.tnl]t_context.obj,\
[.tnl]t_cva.obj,\
[.tnl]t_debug.obj,\
[.tnl]t_dlist.obj,\
[.tnl]t_eval.obj,\
[.tnl]t_fog.obj,\
[.tnl]t_light.obj,\
[.tnl]t_pipeline.obj

OBJECTS12=[.tnl]t_shade.obj,\
[.tnl]t_stages.obj,\
[.tnl]t_texture.obj,\
[.tnl]t_trans_elt.obj,\
[.tnl]t_varray.obj,\
[.tnl]t_vb.obj,\
[.tnl]t_vbcull.obj,\
[.tnl]t_vbindirect.obj,\
[.tnl]t_vbrender.obj,\
[.tnl]t_vbxform.obj,\
[.tnl]t_vtxfmt.obj

OBJECTS13=[.math]m_debug_xform.obj,\
[.math]m_matrix.obj,\
[.math]m_translate.obj,\
[.math]m_vector.obj,\
[.math]m_vertices.obj,\
[.math]m_xform.obj 

##### RULES #####

VERSION=Mesa V3.4

##### TARGETS #####
# Make the library
$(LIBDIR)$(GL_LIB) : $(OBJECTS1),$(OBJECTS2) $(OBJECTS3) $(OBJECTS4)\
	$(OBJECTS5) $(OBJECTS6) $(OBJECTS7) $(OBJECTS8) $(OBJECTS9)\
	$(OBJECTS10) $(OBJECTS11) $(OBJECTS12) $(OBJECTS13)
.ifdef SHARE
  @ WRITE_ SYS$OUTPUT "  generating mesagl1.opt"
  @ OPEN_/WRITE FILE  mesagl1.opt
  @ WRITE_ FILE "!"
  @ WRITE_ FILE "! mesagl1.opt generated by DESCRIP.$(MMS_EXT)" 
  @ WRITE_ FILE "!"
  @ WRITE_ FILE "IDENTIFICATION=""$(VERSION)"""
  @ WRITE_ FILE "GSMATCH=LEQUAL,3,4
  @ WRITE_ FILE "$(OBJECTS1)"
  @ WRITE_ FILE "$(OBJECTS2)"
  @ WRITE_ FILE "$(OBJECTS3)"
  @ WRITE_ FILE "$(OBJECTS4)"
  @ WRITE_ FILE "$(OBJECTS5)"
  @ WRITE_ FILE "$(OBJECTS6)"
  @ WRITE_ FILE "$(OBJECTS7)"
  @ WRITE_ FILE "$(OBJECTS8)"
  @ WRITE_ FILE "$(OBJECTS9)"
  @ WRITE_ FILE "$(OBJECTS10)"
  @ WRITE_ FILE "$(OBJECTS11)"
  @ WRITE_ FILE "$(OBJECTS12)"
  @ WRITE_ FILE "$(OBJECTS13)"
  @ write_ file "sys$share:decw$xextlibshr/share"
  @ write_ file "sys$share:decw$xlibshr/share"
  @ write_ file "sys$share:pthread$rtl/share"
  @ CLOSE_ FILE
  @ WRITE_ SYS$OUTPUT "  generating mesagl.map ..."
  @ LINK_/NODEB/NOSHARE/NOEXE/MAP=mesagl.map/FULL mesagl1.opt/OPT
  @ WRITE_ SYS$OUTPUT "  analyzing mesagl.map ..."
  @ @[-.vms]ANALYZE_MAP.COM mesagl.map mesagl.opt
  @ WRITE_ SYS$OUTPUT "  linking $(GL_LIB) ..."
  @ LINK_/NODEB/SHARE=$(GL_LIB)/MAP=mesagl.map/FULL mesagl1.opt/opt,mesagl.opt/opt
.else
  @ $(MAKELIB) $(GL_LIB) $(OBJECTS1)
  @ library $(GL_LIB) $(OBJECTS2)
  @ library $(GL_LIB) $(OBJECTS3)
  @ library $(GL_LIB) $(OBJECTS4)
  @ library $(GL_LIB) $(OBJECTS5)
  @ library $(GL_LIB) $(OBJECTS6)
  @ library $(GL_LIB) $(OBJECTS7)
  @ library $(GL_LIB) $(OBJECTS8)
  @ library $(GL_LIB) $(OBJECTS9)
  @ library $(GL_LIB) $(OBJECTS10)
  @ library $(GL_LIB) $(OBJECTS11)
  @ library $(GL_LIB) $(OBJECTS12)
  @ library $(GL_LIB) $(OBJECTS13)
.endif
  @ rename $(GL_LIB)* $(LIBDIR)

clean :
	purge
	delete *.obj;*

pixeltex.obj : pixeltex.c

imports.obj : imports.c

[.x86]x86.obj : [.x86]x86.c
	$(CC) $(CFLAGS) /obj=[.x86]x86.obj [.x86]x86.c
[.x]glxapi.obj : [.x]glxapi.c
	$(CC) $(CFLAGS) /obj=[.x]glxapi.obj [.x]glxapi.c
[.x]fakeglx.obj : [.x]fakeglx.c
	$(CC) $(CFLAGS) /obj=[.x]fakeglx.obj [.x]fakeglx.c
[.x]xfonts.obj : [.x]xfonts.c
	$(CC) $(CFLAGS) /obj=[.x]xfonts.obj [.x]xfonts.c
[.x]xm_api.obj : [.x]xm_api.c
	$(CC) $(CFLAGS) /obj=[.x]xm_api.obj [.x]xm_api.c
[.x]xm_dd.obj : [.x]xm_dd.c
	$(CC) $(CFLAGS)/nowarn /obj=[.x]xm_dd.obj [.x]xm_dd.c
[.x]xm_line.obj : [.x]xm_line.c
	$(CC) $(CFLAGS) /obj=[.x]xm_line.obj [.x]xm_line.c
[.x]xm_span.obj : [.x]xm_span.c
	$(CC) $(CFLAGS) /obj=[.x]xm_span.obj [.x]xm_span.c
[.x]xm_tri.obj : [.x]xm_tri.c
	$(CC) $(CFLAGS) /obj=[.x]xm_tri.obj [.x]xm_tri.c
[.osmesa]osmesa.obj : [.osmesa]osmesa.c
	$(CC) $(CFLAGS) /obj=[.osmesa]osmesa.obj [.osmesa]osmesa.c
[.svga]svgamesa.obj : [.svga]svgamesa.c
	$(CC) $(CFLAGS) /obj=[.svga]svgamesa.obj [.svga]svgamesa.c
[.fx]fxapi.obj : [.fx]fxapi.c
	$(CC) $(CFLAGS) /obj=[.fx]fxapi.obj [.fx]fxapi.c
[.fx]fxdd.obj : [.fx]fxdd.c
	$(CC) $(CFLAGS) /obj=[.fx]fxdd.obj [.fx]fxdd.c
[.fx]fxddtex.obj : [.fx]fxddtex.c
	$(CC) $(CFLAGS) /obj=[.fx]fxddtex.obj [.fx]fxddtex.c
[.fx]fxfastpath.obj : [.fx]fxfastpath.c
	$(CC) $(CFLAGS) /obj=[.fx]fxfastpath.obj [.fx]fxfastpath.c
[.fx]fxpipeline.obj : [.fx]fxpipeline.c
	$(CC) $(CFLAGS) /obj=[.fx]fxpipeline.obj [.fx]fxpipeline.c
[.fx]fxvsetup.obj : [.fx]fxvsetup.c
	$(CC) $(CFLAGS) /obj=[.fx]fxvsetup.obj [.fx]fxvsetup.c
[.fx]fxsetup.obj : [.fx]fxsetup.c
	$(CC) $(CFLAGS) /obj=[.fx]fxsetup.obj [.fx]fxsetup.c
[.fx]fxtrifuncs.obj : [.fx]fxtrifuncs.c
	$(CC) $(CFLAGS) /obj=[.fx]fxtrifuncs.obj [.fx]fxtrifuncs.c
[.fx]fxtexman.obj : [.fx]fxtexman.c
	$(CC) $(CFLAGS) /obj=[.fx]fxtexman.obj [.fx]fxtexman.c
[.fx]fxddspan.obj : [.fx]fxddspan.c
	$(CC) $(CFLAGS) /obj=[.fx]fxddspan.obj [.fx]fxddspan.c
[.fx]fxglidew.obj : [.fx]fxglidew.c
	$(CC) $(CFLAGS) /obj=[.fx]fxglidew.obj [.fx]fxglidew.c
[.fx]fxvtxfmt.obj : [.fx]fxvtxfmt.c
	$(CC) $(CFLAGS) /obj=[.fx]fxvtxfmt.obj [.fx]fxvtxfmt.c
[.fx]fxvtxprims.obj : [.fx]fxvtxprims.c
	$(CC) $(CFLAGS) /obj=[.fx]fxvtxprims.obj [.fx]fxvtxprims.c

[.swrast]s_aaline.obj : [.swrast]s_aaline.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_aaline.obj [.swrast]s_aaline.c
[.swrast]s_aatriangle.obj : [.swrast]s_aatriangle.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_aatriangle.obj [.swrast]s_aatriangle.c
[.swrast]s_accum.obj : [.swrast]s_accum.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_accum.obj [.swrast]s_accum.c
[.swrast]s_alpha.obj : [.swrast]s_alpha.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_alpha.obj [.swrast]s_alpha.c
[.swrast]s_alphabuf.obj : [.swrast]s_alphabuf.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_alphabuf.obj [.swrast]s_alphabuf.c
[.swrast]s_bitmap.obj : [.swrast]s_bitmap.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_bitmap.obj [.swrast]s_bitmap.c
[.swrast]s_blend.obj : [.swrast]s_blend.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_blend.obj [.swrast]s_blend.c
[.swrast]s_buffers.obj : [.swrast]s_buffers.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_buffers.obj [.swrast]s_buffers.c
[.swrast]s_copypix.obj : [.swrast]s_copypix.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_copypix.obj [.swrast]s_copypix.c
[.swrast]s_context.obj : [.swrast]s_context.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_context.obj [.swrast]s_context.c
[.swrast]s_depth.obj : [.swrast]s_depth.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_depth.obj [.swrast]s_depth.c
[.swrast]s_drawpix.obj : [.swrast]s_drawpix.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_drawpix.obj [.swrast]s_drawpix.c
[.swrast]s_feedback.obj : [.swrast]s_feedback.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_feedback.obj [.swrast]s_feedback.c
[.swrast]s_fog.obj : [.swrast]s_fog.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_fog.obj [.swrast]s_fog.c
[.swrast]s_histogram.obj : [.swrast]s_histogram.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_histogram.obj [.swrast]s_histogram.c
[.swrast]s_lines.obj : [.swrast]s_lines.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_lines.obj [.swrast]s_lines.c
[.swrast]s_logic.obj : [.swrast]s_logic.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_logic.obj [.swrast]s_logic.c
[.swrast]s_masking.obj : [.swrast]s_masking.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_masking.obj [.swrast]s_masking.c
[.swrast]s_pb.obj : [.swrast]s_pb.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_pb.obj [.swrast]s_pb.c
[.swrast]s_pixeltex.obj : [.swrast]s_pixeltex.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_pixeltex.obj [.swrast]s_pixeltex.c
[.swrast]s_points.obj : [.swrast]s_points.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_points.obj [.swrast]s_points.c
[.swrast]s_quads.obj : [.swrast]s_quads.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_quads.obj [.swrast]s_quads.c
[.swrast]s_readpix.obj : [.swrast]s_readpix.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_readpix.obj [.swrast]s_readpix.c
[.swrast]s_scissor.obj : [.swrast]s_scissor.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_scissor.obj [.swrast]s_scissor.c
[.swrast]s_span.obj : [.swrast]s_span.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_span.obj [.swrast]s_span.c
[.swrast]s_stencil.obj : [.swrast]s_stencil.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_stencil.obj [.swrast]s_stencil.c
[.swrast]s_texture.obj : [.swrast]s_texture.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_texture.obj [.swrast]s_texture.c
[.swrast]s_triangle.obj : [.swrast]s_triangle.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_triangle.obj [.swrast]s_triangle.c
[.swrast]s_zoom.obj : [.swrast]s_zoom.c
	$(CC) $(CFLAGS) /obj=[.swrast]s_zoom.obj [.swrast]s_zoom.c
[.swrast_setup]ss_context.obj : [.swrast_setup]ss_context.c
	$(CC) $(CFLAGS) /obj=[.swrast_setup]ss_context.obj [.swrast_setup]ss_context.c
[.swrast_setup]ss_triangle.obj : [.swrast_setup]ss_triangle.c
	$(CC) $(CFLAGS) /obj=[.swrast_setup]ss_triangle.obj [.swrast_setup]ss_triangle.c
[.swrast_setup]ss_vb.obj : [.swrast_setup]ss_vb.c
	$(CC) $(CFLAGS) /obj=[.swrast_setup]ss_vb.obj [.swrast_setup]ss_vb.c
[.tnl]t_bbox.obj : [.tnl]t_bbox.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_bbox.obj [.tnl]t_bbox.c
[.tnl]t_clip.obj : [.tnl]t_clip.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_clip.obj [.tnl]t_clip.c
[.tnl]t_context.obj : [.tnl]t_context.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_context.obj [.tnl]t_context.c
[.tnl]t_cva.obj : [.tnl]t_cva.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_cva.obj [.tnl]t_cva.c
[.tnl]t_debug.obj : [.tnl]t_debug.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_debug.obj [.tnl]t_debug.c
[.tnl]t_dlist.obj : [.tnl]t_dlist.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_dlist.obj [.tnl]t_dlist.c
[.tnl]t_eval.obj : [.tnl]t_eval.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_eval.obj [.tnl]t_eval.c
[.tnl]t_fog.obj : [.tnl]t_fog.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_fog.obj [.tnl]t_fog.c
[.tnl]t_light.obj : [.tnl]t_light.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_light.obj [.tnl]t_light.c
[.tnl]t_pipeline.obj : [.tnl]t_pipeline.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_pipeline.obj [.tnl]t_pipeline.c
[.tnl]t_shade.obj : [.tnl]t_shade.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_shade.obj [.tnl]t_shade.c
[.tnl]t_stages.obj : [.tnl]t_stages.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_stages.obj [.tnl]t_stages.c
[.tnl]t_texture.obj : [.tnl]t_texture.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_texture.obj [.tnl]t_texture.c
[.tnl]t_trans_elt.obj : [.tnl]t_trans_elt.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_trans_elt.obj [.tnl]t_trans_elt.c
[.tnl]t_varray.obj : [.tnl]t_varray.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_varray.obj [.tnl]t_varray.c
[.tnl]t_vb.obj : [.tnl]t_vb.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_vb.obj [.tnl]t_vb.c
[.tnl]t_vbcull.obj : [.tnl]t_vbcull.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_vbcull.obj [.tnl]t_vbcull.c
[.tnl]t_vbindirect.obj : [.tnl]t_vbindirect.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_vbindirect.obj [.tnl]t_vbindirect.c
[.tnl]t_vbrender.obj : [.tnl]t_vbrender.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_vbrender.obj [.tnl]t_vbrender.c
[.tnl]t_vbxform.obj : [.tnl]t_vbxform.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_vbxform.obj [.tnl]t_vbxform.c
[.tnl]t_vtxfmt.obj : [.tnl]t_vtxfmt.c
	$(CC) $(CFLAGS) /obj=[.tnl]t_vtxfmt.obj [.tnl]t_vtxfmt.c
[.math]m_debug_xform.obj : [.math]m_debug_xform.c
	$(CC) $(CFLAGS) /obj=[.math]m_debug_xform.obj [.math]m_debug_xform.c
[.math]m_matrix.obj : [.math]m_matrix.c
	$(CC) $(CFLAGS) /obj=[.math]m_matrix.obj [.math]m_matrix.c
[.math]m_translate.obj : [.math]m_translate.c
	$(CC) $(CFLAGS) /obj=[.math]m_translate.obj [.math]m_translate.c
[.math]m_vector.obj : [.math]m_vector.c
	$(CC) $(CFLAGS) /obj=[.math]m_vector.obj [.math]m_vector.c
[.math]m_vertices.obj : [.math]m_vertices.c
	$(CC) $(CFLAGS) /obj=[.math]m_vertices.obj [.math]m_vertices.c
[.math]m_xform.obj : [.math]m_xform.c
	$(CC) $(CFLAGS) /obj=[.math]m_xform.obj [.math]m_xform.c

